<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dynamic Form</title>
    <link rel="stylesheet" href="style.css" />
    
    <style>
      body {
        font-family: Gill Sans MT;
        padding: 10px;
      }
      fieldset {
        border: solid 1px #000;
        padding: 10px;
        display: block;
        clear: both;
        margin: 5px 0px;
      }
      legend {
        padding: 0px 10px;
        background: black;
        color: #fff;
      }
      input.add {
        float: right;
      }
      input.fieldname {
        float: left;
        clear: left;
        display: block;
        margin: 5px;
      }
      select.fieldtype {
        float: left;
        display: block;
        margin: 5px;
      }
      input.remove {
        float: left;
        display: block;
        margin: 5px;
      }
      #yourform label {
        float: left;
        clear: left;
        display: block;
        margin: 5px;
      }
      #yourform input,
      #yourform textarea {
        float: left;
        display: block;
        margin: 5px;
      }
    </style>
  </head>
  <body>
    <fieldset id="buildyourform">
      <legend>Build your own form!</legend>
      <div class="form">
        <form action="" >
          <div class="link">
            <div class="content__header-dropdown">
              <div class="custom__dropdown">
                <div
                  class="custom__dropdown-selected"
                  id="toggle-1"
                  onclick="dropdownFunc('toggle-1')"
                >
                  <span class="custom__dropdown-selected-text">主題分類</span>
                </div>
                <ul class="custom__dropdown-list" data-container="toggle-1">
                  <li class="custom__dropdown-list-item">熱門活動</li>
                  <li class="custom__dropdown-list-item">近期活動</li>
                  <li class="custom__dropdown-list-item">傳統節慶</li>
                  <li class="custom__dropdown-list-item">原住民活動</li>
                </ul>
              </div>
            </div>
            <input type="text" />
          </div>
        </form>
      </div>
    </fieldset>
    <input type="button" value="Preview form" class="add" id="preview" />
    <input type="button" value="Add a field" class="add" id="add" />

    <script src="./dropdown.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
      $(document).ready(function () {
        $("#add").click(function () {
          var intId = $("#buildyourform div").length + 1;
          var fieldWrapper = $(
            '<div class="fieldwrapper" id="field' + intId + '"/>'
          );

          let dropdownWrapper = `<div class="content__header-dropdown">
            <div class="custom__dropdown">
              <div
                class="custom__dropdown-selected"
                id="toggle-1"
                onclick="dropdownFunc('toggle-1')"
              >
                <span class="custom__dropdown-selected-text">主題分類</span>
              </div>
              <ul class="custom__dropdown-list" data-container="toggle-1">
                <li class="custom__dropdown-list-item">熱門活動</li>
                <li class="custom__dropdown-list-item">近期活動</li>
                <li class="custom__dropdown-list-item">傳統節慶</li>
                <li class="custom__dropdown-list-item">原住民活動</li>
              </ul>
            </div>
          </div>`;

          let fType = `<input type="text" />`;

          var removeButton = $(
            '<input type="button" class="remove" value="-" />'
          );
          removeButton.click(function () {
            $(this).parent().remove();
          });
          fieldWrapper.append(dropdownWrapper);
          fieldWrapper.append(fType);
          fieldWrapper.append(removeButton);
          $("#buildyourform").append(fieldWrapper);
        });

        $("#preview").click(function () {
          $("#yourform").remove();

          var fieldSet = $(
            '<fieldset id="yourform"><legend>Your Form</legend></fieldset>'
          );

          $("#buildyourform div").each(function () {
            var id = "input" + $(this).attr("id").replace("field", "");
            var label = $(
              '<label for="' +
                id +
                '">' +
                $(this).find("input.fieldname").first().val() +
                "</label>"
            );
            var input;
            switch ($(this).find("select.fieldtype").first().val()) {
              case "checkbox":
                input = $(
                  '<input type="checkbox" id="' + id + '" name="' + id + '" />'
                );
                break;
              case "textbox":
                input = $(
                  '<input type="text" id="' + id + '" name="' + id + '" />'
                );
                break;
              case "textarea":
                input = $(
                  '<textarea id="' + id + '" name="' + id + '" ></textarea>'
                );
                break;
            }
            fieldSet.append(label);
            fieldSet.append(input);
          });
          $("body").append(fieldSet);
        });
      });
    </script>
  </body>
</html>
